Outstanding Debian 4 x86 Build Issues

Project Bug Report Component Affected Dependency Subsequently Affected Description of Issue Resolution
SA3 #35493 dcache-client . Missing Debian package Requested binary tarball compiled with gcc-4 from dcache.org
JRA1 #27471 org.glite.rgma.base, org.glite.service-discovery.api-java, org.glite.service-discovery.rgma-java, org.glite.security.delegation-interface . glite RPM packager still in use
#31882 org.glite.rgma.api-cpp, org.glite.rgma.base, org.glite.rgma.api-c . Spec files contain Copyright instead of License
#32296 org.glite.rgma.api-cpp . gcc-4 related bug in org.glite.rgma.api-cpp
#32304 org.glite.rgma.api-c org.glite.service-discovery.rgma-c gcc-4 related bug in org.glite.rgma.api-c
#36870 org.glite.wms.brokerinfo-access . Spec files contain Copyright instead of License
#36872 LCG-DM (DPM) . Spec files contain Copyright instead of License
#35550 LCG-DM org.glite.data.gfal, org.glite.data.dm-util Uses scripts with references to RPM/spec files swig configuration error fixed, needs rebuild with packageType set to rpms (not debs)
#33062 LCG-DM (DPM) org.glite.data.gfal, org.glite.data.dm-util Deprecated swig issues when using version 1.3.29 not resolved, stick with "swig v. 1.3.21" for the moment (effects SL5 too)
#35499 lcg-sam-client (x2), lcg-sam-client-sensors . Using RPMs for packaging by default RPM problem relates to Copyright rather than License in RPMs (solves SL5 issue too)
#36851 org.gridsite.core org.glite.data.util-c, org.glite.data.delegation-cli, org.glite.data.transfer-cli, org.glite.data.srm-cli, org.glite.data.srm-api-perl After patching the build rules to use the correct apr-1.0 directory, SSL errors appear Replacement of X509_STORE_CTX type variables a with (a->param)->flags should fix this issue 2008-05-22
ETICS #34130 gsoap (x2), LCG-DM, org.glite.data.gfal, org.glite.security.cgsi-gsoap, org.glite.security.cgsi-gsoap-2.7, lcg-ManageVOTag org.glite.data.srm-api-c (by gsoap) Capitalization in packaging not allowed under Debian packageName.lower().replace('-','_') fix in ETICS client 1.3.5-1 (not working in 1.3.5-1 2008-05-07)
#35502 org.gridsite.core org.glite.data.util-c, org.glite.data.delegation-cli, org.glite.data.transfer-cli, org.glite.data.srm-cli, org.glite.data.srm-api-perl httpd-devel.location not defined since httpd-devel.DEFAULT not defined httpd-devel dynamic dependency added, undergoing testing with new security subsystem 2008-05-07

Resolved Issues

Project Bug Report Component Affected Dependency Subsequently Affected Description of Issue Resolution
ETICS #35497 log4cxx . Using gmake instead of make, locked configuration Removed from org.glite.node.WN
JRA1 #35544 org.glite.wms-utils.jobid org.glite.lb.common gcc-4 related issue Implemented by Francesco, successfully built at TCD
#35836 org.glite.wms-utils.classad, org.glite.wms.common, org.glite.wms.checkpointing, org.glite.wms.brokerinfo-access . Small Classad program doesn't compile tested under Debian 4 and CentOS 5
SA3 #34230 lcg-infosites, lcg-info, uberftp-client . Missing from glite_branch_3_1_0 lcg-info* uberftp-client now included
#36472 edg-gridftp-client vdt_globus_essentials, vdt_globus_rm_essentials Using too old a version of edg-gridftp-client Using Newer version
#35878 org.glite.wms.common . Extra qualification due to gcc-4 strictness No longer required on glite-WN, was only required for checkpointing

-- PeterJones - 03 Jun 2008

Edit | Attach | Watch | Print version | History: r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r2 - 2020-08-19 - TWikiAdminUser
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    Sandbox/SandboxArchive All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2023 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
or Ideas, requests, problems regarding TWiki? use Discourse or Send feedback